## org.apache.cassandra.net
Interface IVerbHandler

All Known Implementing Classes:
  AntiEntropyService.TreeRequestVerbHandler, AntiEntropyService.TreeResponseVerbHandler, BinaryVerbHandler, BootStrapper.BootstrapTokenVerbHandler, GossipDigestAck2VerbHandler, GossipDigestAckVerbHandler, GossipDigestSynVerbHandler, GossiperJoinVerbHandler, RangeSliceVerbHandler, ReadRepairVerbHandler, ReadVerbHandler, ResponseVerbHandler, RowMutationVerbHandler, StreamFinishedVerbHandler, StreamInitiateDoneVerbHandler, StreamInitiateVerbHandler, StreamRequestVerbHandler

    public interface IVerbHandler

IVerbHandler provides the method that all verb handlers need to implement. The concrete implementation of this interface would provide the functionality for a given verb.

Method Summary
`void` `doVerb(Message message)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

Method Detail

### doVerb

    void doVerb(Message message)

  This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

  Parameters:
    `message` - - incoming message that needs handling.

Copyright © 2010 The Apache Software Foundation